## lava 2024.09

=== debian/changelog ===
lava (2024.09-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop "pep8 | python3-pep8" dependency (Closes: #1093079)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Feb 2025 13:10:58 +0100

lava (2024.09-1) unstable; urgency=medium

  [ Rémi Duraffort ]
  * LAVA Software 2024.09 release
    - systemd files that used to be shipped under /lib are now shipped under
      /usr/lib (Closes: #1073729)
    - Tests pass against pytest 7.4 (Closes: #1041342)

  * [08f2c548f] lava_dispatcher: drop pytz requirements

  [ Igor Ponomarev ]
  * [0c5a19eab] Drop unused pytz dependency for lava-server
  * [3b6547407] Remove runtime docutils dependency
  * [d1f1d3a96] debian: Remove unused "file" dependency
  * [2504c17da] debian: Drop libjs-excanvas Internet Explorer compatibility library
  * [21da428ef] debian: Do not install uglifyjs because it is no longer used

  [ Antonio Terceiro ]
  * debian/sort-search-index.py: fix SyntaxWarning: invalid escape sequence
  * debian/sort-search-index.py: sort by id
  * Ship systemd-udev drop-in under /usr/lib (Closes: #1078181)
  * debian/tests/control: testsuite: add new package needed for testing
  * debian/tests/testsuite: ignore one failing test that gets confused when
    run against the installed system.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 14 Nov 2024 10:42:22 -0300

lava (2024.05-1) unstable; urgency=medium

  * LAVA Software 2024.05 release

  [ Igor Ponomarev ]
  * [7e7450e41] Make lava_dispatcher not depend on lava_dispatcher_host

 -- Rémi Duraffort <remi.duraffort@linaro.org>  Tue, 04 Jun 2024 14:51:49 +0200

lava (2024.03-1) unstable; urgency=medium

  * LAVA Software 2024.03 release

 -- Rémi Duraffort <remi.duraffort@linaro.org>  Fri, 05 Apr 2024 10:57:16 +0200

lava (2024.01-1) unstable; urgency=medium

  * LAVA Software 2024.01 release

 -- Chase Qi <chase.qi@linaro.org>  Mon, 22 Jan 2024 13:21:05 +0800

lava (2023.10-1) unstable; urgency=medium

  * LAVA Software 2023.10 release

 -- Rémi Duraffort <remi.duraffort@linaro.org>  Wed, 25 Oct 2023 14:38:20 +0200

lava (2023.08-1) unstable; urgency=medium

  * LAVA Software 2023.08 release

 -- Rémi Duraffort <remi.duraffort@linaro.org>  Thu, 07 Sep 2023 17:33:21 +0200

lava (2023.06-1) unstable; urgency=medium

  * LAVA Software 2023.06 release

 -- Rémi Duraffort <remi.duraffort@linaro.org>  Tue, 04 Jul 2023 14:39:53 +0200

lava (2023.05.1-1) unstable; urgency=medium

  * LAVA Software 2023.05.1 release

 -- Rémi Duraffort <remi.duraffort@linaro.org>  Fri, 26 May 2023 13:35:50 +0200

lava (2023.05-1) unstable; urgency=medium

  * LAVA Software 2023.05 release

  [ Stefan Gänsler ]
  * [517d53e0c] Doc: Update links to mailinglists

  [ Rémi Duraffort ]
  * [6ad2a25c5] Relicense LAVA to GPLv2 or later

 -- Rémi Duraffort <remi.duraffort@linaro.org>  Thu, 25 May 2023 13:10:21 +0200

lava (2023.03-1) unstable; urgency=medium

  * LAVA Software 2023.03 release

  [ Chase Qi ]
  * [482dab8cd] lava-docker-worker: start the service after docker.service
  * [6ba8621a4] Add sentry to lava worker and docker worker

 -- Rémi Duraffort <remi.duraffort@linaro.org>  Tue, 11 Apr 2023 16:15:36 +0200

lava (2023.02-1) unstable; urgency=medium

  * LAVA Software 2023.02 release

  [ Chase Qi ]
  * [2488c233f] debian/control: use linux-tools-generic on ubuntu 22.04

 -- Rémi Duraffort <remi.duraffort@linaro.org>  Mon, 06 Mar 2023 15:42:59 +0100
