## lava 2025.06.175.g3d5403a58.collabora

=== debian/changelog ===
lava (2025.06.175.g3d5403a58.collabora-0.1) unstable; urgency=medium

  [ Gustavo Noronha Silva ]
  * Add a Dockerfile for Collabora's setup
  * Add base docker-compose definition
  * Add collabora-specific CI
  * Push lava-server image to repository's registry
  * docker/collabora: add README.md

  [ Sjoerd Simons ]
  * Don't hardcode the published docker image name
  * re-integrate debian package building CI rules

  [ Gustavo Noronha Silva ]
  * Create and set permissions to configuration dirs
  * Make lava services logs go to stderr
  * Make all device types available by default

  [ Sjoerd Simons ]
  * Deploy lava-server to k3s development cluster from CI

  [ Gustavo Noronha Silva ]
  * collabora: ensure docs are properly installed

  [ Sjoerd Simons ]
  * Rename the branch deploying to staging. to collabora/staging
  * Upload .deb from staging to OBS as well

  [ Paweł Wieczorek ]
  * Add cgroups v2 dependency from backports
  * Restart scheduler on failure
  * Unify log level environmental variables
  * Create lavacli volume on first use
  * Switch to the new default docker-compose field separator
  * Prevent service recreation on environment changes
  * Pin container images to specific versions

  [ Igor Ponomarev ]
  * rest: Started with REST API v0.3-experimental

  [ Sjoerd Simons ]
  * Deploy lava using ansible playbooks
  * collabora: ci: Correct ansible-playbook call

  [ Igor Ponomarev ]
  * Make LAVADaemonCommand use LOGGING configuration by default
  * Initial implementation of JsonFormatter
  * docker/collabora: Use JSON logging

  [ Sjoerd Simons ]
  * Install mozilla-django-oidc in docker container
  * ci: collabora: Remove stop staging job; never used
  * Install libdw1 from backports as well
  * ci: Add a manual deploy step for the production branch
  * Move to ci-to-obs v2
  * gitlab-ci: Sync obs job stage to lava upload roles

  [ Paweł Wieczorek ]
  * collabora: ci: Replace doubled rules anchor with an alias

  [ Ed Smith ]
  * Add schema support for docker login
  * Add docker login support to the base utility for Docker commands
  * Add login support to deploy:docker
  * Add docker login support for boot:qemu
  * Add docker login support to test:docker
  * Add docker login to all container actions
  * User and group APIs for automated management

  [ Igor Ponomarev ]
  * lava_dispatcher: Rework ShellLogger and add unit test for it
  * tests: test_job_remove_job use go_state_running

  [ Ed Smith ]
  * Run each instance of lava-run with its own home directory
  * Add a more secure mode for docker usage
  * Document login support for deploy:docker
  * Improve handling of docker login interactions with remote hosts
  * Remove explicit fallback value when querying image configuration

  [ Paweł Wieczorek ]
  * lava_db_generator: Generate dummy database
  * lava_db_generator: Use management command for dummy database generation
  * lava_db_generator: Select TestJob submitter from autogenerated set of users
  * lava_db_generator: Create project-based viewing group relation
  * lava_db_generator: Move viewing group assignment logic to the handler
  * lava_db_generator: Add device generation

  [ Igor Ponomarev ]
  * lava_db_generator: Build db generator package as part of server
  * lava_db_generator: Fix missing python dependencies
  * lava_db_generator: Make command parameters required and verbose
  * lava_db_generator: Add start_time generator
  * lava_db_generator: Simplify generator command for now
  * lava_db_generator: Add requested device type and description generation
  * lava_db_generator: Add default values for generator
  * lava_db_generator: Add different options between public and private jobs
  * lava_db_generator: Generated jobs can start 500 days before now
  * lava_db_generator: Fix private test jobs not being private
  * lava_db_generator: Improve host name generation
  * lava_db_generator: Options for single project users and testjobs
  * lava_db_generator: Separated into different subcommands
  * lava_db_generator: Added ability to add multiple view groups to testjob
  * lava_db_generator: Added `scenario` sub command
  * lava_db_generator: Added option to set password for generated users
  * lava_db_generator: Added --username-sequence option
  * lava_db_generator: Fixed scenario command
  * lava_db_generator: Add default arguments to generator functions
  * lava_db_generator: Add --job-state to TestJob generator
  * lava_db_generator: Added scheduler_test scenario
  * lava_db_generator: Added `--device-health` and `--device-state`
  * lava_db_generator: Added Worker factories
  * lava_db_generator: Generate real device templates
  * lava_db_generator: Allow hostname collision
  * lava_scheduler_app: Initial `runsimulation` command with scheduler sim
  * lava_db_generator: Precache device templates for scheduler test
  * lava_db_generator: Added profiling helper
  * lava_db_generator: Do not set actual_device for default testjobs
  * lava_db_generator: Provide empty configuration dict for testjobs
  * lava_db_generator: Reduced logging level of scheduler simulation to INFO
  * lava_db_generator: Mock TestJob.go_state_scheduling in scheduler simulation
  * lava_db_generator: Format with black
  * lava_db_generator: Fix CI docker analyze stage
  * lava_db_generator: Added license headers

  [ Emanuele Aina ]
  * CI: Use OBS_UPLOAD_BRANCHES rather than overriding rules

  [ Ed Smith ]
  * Add a REST API alongside the XMLRPC API for group management
  * Make the authentication backend for OIDC configurable
  * Add a new authentication backend based on preferred_username
  * Switch to keying XMLRPC endpoints by username rather than email
  * Switch to keying REST endpoints by username rather than email

  [ Emanuele Aina ]
  * Look for claims in the ID token as well
  * docker/collabora: Fix quoting when setting $BIND
  * ci: Print the full ref of the generated OCI image

  [ Vladimir Shakhov ]
  * CI run 'black' for Python strict formatting check


