=== debian/control ===
--- 
+++ 
@@ -106,7 +106,6 @@
          libjs-jquery,
          libjs-jquery-flot,
          libjs-jquery-typeahead,
-         postgresql-client,
          systemd-sysv,
          ${misc:Depends},
          ${python3:Depends}
@@ -115,6 +114,7 @@
             lava-dispatcher (= ${binary:Version}),
             openssh-client,
             postgresql,
+            postgresql-client,
             postgresql-common
 Suggests: lavacli,
           rabbitmq-server | redis-server,
@@ -236,6 +236,7 @@
          libjs-jquery,
          libjs-jquery-flot,
          libjs-jquery-typeahead,
+         pep8 | python3-pep8,
          python3-configobj,
          python3-guestfs,
          python3-magic,
