## lava 2025.10.127.gb6584a7ba.collabora

=== debian/changelog ===
lava (2025.10.127.gb6584a7ba.collabora-0.1) unstable; urgency=medium

  [ Gustavo Noronha Silva ]
  * Add a Dockerfile for Collabora's setup
  * Add base docker-compose definition
  * Add collabora-specific CI
  * Push lava-server image to repository's registry
  * docker/collabora: add README.md

  [ Sjoerd Simons ]
  * Don't hardcode the published docker image name
  * re-integrate debian package building CI rules

  [ Gustavo Noronha Silva ]
  * Create and set permissions to configuration dirs
  * Make lava services logs go to stderr
  * Make all device types available by default

  [ Sjoerd Simons ]
  * Deploy lava-server to k3s development cluster from CI

  [ Gustavo Noronha Silva ]
  * collabora: ensure docs are properly installed

  [ Sjoerd Simons ]
  * Rename the branch deploying to staging. to collabora/staging
  * Upload .deb from staging to OBS as well

  [ Paweł Wieczorek ]
  * Add cgroups v2 dependency from backports
  * Restart scheduler on failure
  * Unify log level environmental variables
  * Create lavacli volume on first use
  * Switch to the new default docker-compose field separator
  * Prevent service recreation on environment changes
  * Pin container images to specific versions

  [ Igor Ponomarev ]
  * rest: Started with REST API v0.3-experimental

  [ Sjoerd Simons ]
  * Deploy lava using ansible playbooks
  * collabora: ci: Correct ansible-playbook call

  [ Igor Ponomarev ]
  * Make LAVADaemonCommand use LOGGING configuration by default
  * Initial implementation of JsonFormatter
  * docker/collabora: Use JSON logging

  [ Sjoerd Simons ]
  * Install mozilla-django-oidc in docker container
  * ci: collabora: Remove stop staging job; never used
  * Install libdw1 from backports as well
  * ci: Add a manual deploy step for the production branch
  * Move to ci-to-obs v2
  * gitlab-ci: Sync obs job stage to lava upload roles

  [ Paweł Wieczorek ]
  * collabora: ci: Replace doubled rules anchor with an alias

  [ Ed Smith ]
  * Add schema support for docker login
  * Add docker login support to the base utility for Docker commands
  * Add login support to deploy:docker
  * Add docker login support for boot:qemu
  * Add docker login support to test:docker
  * Add docker login to all container actions
  * User and group APIs for automated management

  [ Igor Ponomarev ]
  * lava_dispatcher: Rework ShellLogger and add unit test for it
  * tests: test_job_remove_job use go_state_running

  [ Ed Smith ]
  * Run each instance of lava-run with its own home directory
  * Add a more secure mode for docker usage
  * Document login support for deploy:docker
  * Improve handling of docker login interactions with remote hosts
  * Remove explicit fallback value when querying image configuration

  [ Emanuele Aina ]
  * CI: Use OBS_UPLOAD_BRANCHES rather than overriding rules

  [ Ed Smith ]
  * Add a REST API alongside the XMLRPC API for group management
  * Make the authentication backend for OIDC configurable
  * Add a new authentication backend based on preferred_username
  * Switch to keying XMLRPC endpoints by username rather than email
  * Switch to keying REST endpoints by username rather than email

  [ Emanuele Aina ]
  * Look for claims in the ID token as well
  * docker/collabora: Fix quoting when setting $BIND
  * ci: Print the full ref of the generated OCI image

  [ Vladimir Shakhov ]
  * CI run 'black' for Python strict formatting check

  [ Igor Ponomarev ]
  * Normalize non-serializable values to string for JSON logger
  * lava-worker: Ignore missing home directory when cleaning-up finished job
  * Do not display private jobs' descriptions in the DeviceTable
  * rest-0.3: Initial implementation of TestJob REST API v0.3
  * rest-0.3: Implement viewing_groups, tags and failure tags fields for TestJob
  * rest-0.3: Implement subtime time range filter for TestJob
  * REST v0.3: Add state filter to TestJob
  * Use quote filters for base-uboot.jijna2's setenv bootargs

  [ Doug Targett ]
  * Force nfsv3 connection from the kernel command line.
  * Updated base.jinja to add v3 as an nfsroot command line option
  * Fix variable name in base.jinja2

  [ Igor Ponomarev ]
  * tests: Fix tests broken by NFSv3 migration
  * Fix docker images being pulled twice
  * Set max worker connections to avoid too many connections errors

  [ Doug Targett ]
  * Updating kaniko executor version

  [ Christopher Obbard ]
  * ci: Push OCI image to :latest as well

  [ Igor Ponomarev ]
  * Reduce number of connections per worker to 23

  [ Doug Targett ]
  * adding user and group for lavaserver before installation.

  [ Douglas Targett ]
  * Updating start-lava.sh to ensure lavaserver owns files

  [ Igor Ponomarev ]
  * docker/collabora: Do not auto generate migrations

  [ Pablo Vigo ]
  * docker: Support starting the image as an unprivileged user

  [ Emanuele Aina ]
  * docker: Run the image as an unprivileged user by default

  [ Igor Ponomarev ]
  * docker: Explicitly install python3-eventlet
  * scheduler: Log time spent on different scheduling stages

  [ Sebastian Reichel ]
  * device-types: rk3588-rock-5b: add PCI enumeration

  [ Igor Ponomarev ]
  * docker/collabora: Print lava-dispatcher logs to stdout

  [ Sjoerd Simons ]
  * mt8xxx-genio-common: Make address configurable

  [ Igor Ponomarev ]
  * docker: Only build binary DEB packages
  * collabora-docker: Rework start-lava.sh using prefix env variables
  * collabora-docker: Do not all device types on container startup
  * collabora-docker: Split start-lava.sh script in to component scripts
  * collabora-docker: Creating lava_server/.env file is no longer required
  * collabora-docker: Use gunicorn's --preload mode to optimize memory
  * collabora-ci: Wait health check to complete before adding test job
  * collabora-ci: Show job logs while waiting on its completion
  * json-logger: Fix and update type hints
  * json-logger: Skip exception fields if they are None

