=== debian/control ===
--- 
+++ 
@@ -34,6 +34,7 @@
             debootstrap,
             dfu-util,
             git,
+            iproute2,
             libguestfs-tools,
             lxc | lava-lxc-mocker,
             nfs-kernel-server,
@@ -240,10 +241,10 @@
          python3-configobj,
          python3-guestfs,
          python3-magic,
-         python3-netifaces,
          python3-pexpect,
          python3-pymongo,
          python3-pytest,
+         python3-pytest-asyncio,
          python3-pytest-django,
          python3-pyudev,
          python3-requests,
