## lava 2026.01

=== debian/changelog ===
lava (2026.01-4) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Drop myself from Uploaders:

  [ Christopher Obbard ]
  * d/control: Depend on black instead of pycodestyle
  * d/patches: Add patch to fix autopkgtests on riscv64/s390x
  * d/control: Apply Multiarch hinter suggestions

 -- Christopher Obbard <obbardc@debian.org>  Sun, 01 Mar 2026 23:03:52 +0000

lava (2026.01-3) unstable; urgency=medium

  [ Christopher Obbard ]
  * d/patches: Add patch to fix autopkgtests
  * d/control: Remove references to old Python version (Closes: #1088175)
  * d/control: Install android-sdk-libsparse-utils instead of img2simg/simg2img
    (Closes: #1115427, #1115431)
  * debian: add Swedish translation of debconf messages (Closes: #1049978)
  * debian: Add Catalan translation of debconf messages (Closes: #1120092)
  * d/copyright: Update FSF address
  * d/lava-server.NEWS: Drop old news file
  * d/control: Drop debhelper from lava-dev Depends
  * d/control: Drop X-Python3-Version

  [ Luca ]
  * debian: add Italian translation of debconf messages

  [ Santiago Vila ]
  * d/rules: Fix clean target (Closes: #1045287)

 -- Christopher Obbard <obbardc@debian.org>  Tue, 24 Feb 2026 19:51:36 +0000

lava (2026.01-2) unstable; urgency=medium

  * d/control: Replace pep8 with pycodestyle
  * d/t/control: Add unzip to Depends

 -- Christopher Obbard <obbardc@debian.org>  Sun, 22 Feb 2026 02:31:01 +0000

lava (2026.01-1) unstable; urgency=medium

  * New upstream version 2026.01
  * d/gbp.conf: Update for DEP-14 branch names
  * d/patches: Remove patches applied upstream
  * debian: Merge packaging from upstream
  * d/watch: Fix upstream tag scanning
  * d/control: Set Maintainer to Debian Python Team
  * d/control: Add myself to Uploaders
  * d/control: Update Vcs-* fields
  * d/control: Bump Standards-version to 4.7.3
  * d/salsa-ci.yml: Enable Salsa CI

 -- Christopher Obbard <obbardc@debian.org>  Sun, 22 Feb 2026 01:10:08 +0000
