=== debian/rules ===
--- 
+++ 
@@ -49,11 +49,10 @@
 	dh_python3 -p lava-common --shebang=/usr/bin/python3 --requires=common-requirements.txt
 
 override_dh_auto_build:
-	make -C man/ man SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
-	make -C doc/v2/ html SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
+	make -C man/ man SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-j auto -D today=\"$(BUILD_DATE)\""
+	make -C doc/v2/ html SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-j auto -D today=\"$(BUILD_DATE)\""
 	$(RM) doc/v2/_build/html/objects.inv
 	debian/sort-search-index.py doc/v2/_build/html/searchindex.js
-	make -C man/ man SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
 
 override_dh_auto_install:
 	find . -path '*/__pycache__/*' -delete
@@ -106,14 +105,7 @@
 	$(RM) -r debian/lava/usr/lib
 	$(RM) -r debian/lava/usr/bin
 
-override_dh_auto_clean:
-	python3 setup.py clean -a
-	find . -path '*/__pycache__/*' -delete
-	$(RM) -r lava.egg-info .idea/ build/
-	$(RM) -r .eggs/ versiontools-*.egg/ doc/build/ doc/html/
-	find . -type d -name '__pycache__' -empty -delete
-	$(RM) -r dist/
-	$(RM) debian/*.service
+execute_after_dh_auto_clean:
 	$(RM) common-requirements.txt dispatcher-requirements.txt server-requirements.txt
 	[ ! -f doc/v2/Makefile ] || make -C doc/v2/ clean
 	[ ! -f man/Makefile ] || make -C man/ clean
